@charset "UTF-8";
/* CSS Document */
@media (max-width: 767px) {
    .h_nav{
        display: none;
  }
}
@media (min-width: 768px) {
    .gnavOpen {
        display: none;
  }
}




/*ボタン外側※レイアウトによってpositionや形状は適宜変更してください*/
.openbtn{
	/*ボタン内側の基点となるためrelativeを指定。
追従するナビゲーションの場合はfixed＋top、rightといった位置をセットで指定*/
	position: relative;
	background:#fff;
	cursor: pointer;
    width: 60px;
    height:60px;
	border-radius: 5px;
    z-index: 1001;
    /*right: 5px;*/
}

/*ボタン内側*/
.openbtn span{
    display: inline-block;
    transition: all .4s;/*アニメーションの設定*/
    position: absolute;
    right: 5px;
    height: 1.5px;
    border-radius: 2px;
	background: #000;
  	width: 45%;
  }


.openbtn span:nth-of-type(1) {
	top:21px;	
}

.openbtn span:nth-of-type(2) {
	top:29px;
}

.openbtn span:nth-of-type(3) {
	top:37px;
}

/*activeクラスが付与されると線が回転して×に*/

.openbtn.active span:nth-of-type(1) {
    top: 23px;
    right: 5px;
    transform: translateY(6px) rotate(-45deg);
    width: 30%;
}

.openbtn.active span:nth-of-type(2) {
	opacity: 0;/*真ん中の線は透過*/
}

.openbtn.active span:nth-of-type(3){
    top: 35px;
    right: 5px;
    transform: translateY(-6px) rotate(45deg);
    width: 30%;
}
/*========= ナビゲーションのためのCSS ===============*/

#g-nav{
    /*position:fixed;にし、z-indexの数値を大きくして前面へ*/
    position:fixed;
    z-index: 1000;
    /*ナビのスタート位置と形状*/
	top:-120%;
    left:0;
	width:100%;
    height: 100vh;/*ナビの高さ*/
    background-color: rgba(255,255,255,.97);
    /*動き*/
	transition: all 0.6s;
}

/*アクティブクラスがついたら位置を0に*/
#g-nav.panelactive{
    top: 0;
}

/*ナビゲーションの縦スクロール*/
#g-nav.panelactive #g-nav-list{
    /*ナビの数が増えた場合縦スクロール*/
    position: fixed;
    z-index: 1000; 
    width: 100%;
    height: 100vh;/*表示する高さ*/
    overflow: auto;
    -webkit-overflow-scrolling: touch;
}
/*ナビゲーション*/
#g-nav ul {
    /*ナビゲーション天地中央揃え*/
    position: absolute;
    z-index: 1000;
    top:180px;
    left:120px;
    transform: translate(-50%,-50%);
}

/*リストのレイアウト設定*/

#g-nav li{
	list-style: none;
    text-align: left; 
}

#g-nav li a{
	color: #333;
	text-decoration: none;
	padding:10px 10px 10px 20px;
	display: block;
	text-transform: uppercase;
	letter-spacing: 0.1em;
}

